"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import builtins
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import typing
import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor = ...

class Jwe(google.protobuf.message.Message):
    """Jwe represents the JSON Web Encryption as specified in RFC 7516"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class JoseHeader(google.protobuf.message.Message):
        """JWE JOSE Header(Section 4 in RFC 7516)"""
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        ALG_FIELD_NUMBER: builtins.int
        ENC_FIELD_NUMBER: builtins.int
        alg: typing.Text = ...
        """the cryptographic algorithm(Section 4.1.1 in RFC 7515)

        such as "RSA-OAEP-256" or "SM2SM3"
        """

        enc: typing.Text = ...
        """the content encryption algorithm used to perform authenticated encryption
        on the plaintext to produce the ciphertext and the Authentication Tag.

        such as "A128GCM" or "SM4GCM"
        """

        def __init__(self,
            *,
            alg : typing.Text = ...,
            enc : typing.Text = ...,
            ) -> None: ...
        def ClearField(self, field_name: typing_extensions.Literal["alg",b"alg","enc",b"enc"]) -> None: ...

    PROTECTED_HEADER_FIELD_NUMBER: builtins.int
    ENCRYPTED_KEY_FIELD_NUMBER: builtins.int
    IV_FIELD_NUMBER: builtins.int
    CIPHERTEXT_FIELD_NUMBER: builtins.int
    TAG_FIELD_NUMBER: builtins.int
    AAD_FIELD_NUMBER: builtins.int
    protected_header: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(UTF8(JWE JOSE Header))
    Note: `json_name` refers to RFC 7516(Section 3.2), however the `protected`
    is a keywrod in C++, so the `protected_header` is used instead.
    """

    encrypted_key: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(JWE Encrypted Key)"""

    iv: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(JWE Initialization Vector)"""

    ciphertext: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(JWE Ciphertext)"""

    tag: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(JWE Authentication Tag)"""

    aad: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(JWE AAD)"""

    def __init__(self,
        *,
        protected_header : typing.Text = ...,
        encrypted_key : typing.Text = ...,
        iv : typing.Text = ...,
        ciphertext : typing.Text = ...,
        tag : typing.Text = ...,
        aad : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["aad",b"aad","ciphertext",b"ciphertext","encrypted_key",b"encrypted_key","iv",b"iv","protected_header",b"protected_header","tag",b"tag"]) -> None: ...
global___Jwe = Jwe

class Jws(google.protobuf.message.Message):
    """Jws represents the JSON Web Signature as specified in RFC 7515"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    class JoseHeader(google.protobuf.message.Message):
        """JWS JOSE Header(Section 4 in RFC 7515)"""
        DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
        ALG_FIELD_NUMBER: builtins.int
        X5C_FIELD_NUMBER: builtins.int
        alg: typing.Text = ...
        """the cryptographic algorithm(Section 4.1.1 in RFC 7515)

        such as "RS256"
        """

        @property
        def x5c(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[typing.Text]:
            """The "x5c" (X.509 certificate chain) Header Parameter contains the
            X.509 public key certificate or certificate chain [RFC5280]
            corresponding to the key used to digitally sign the JWS.
            """
            pass
        def __init__(self,
            *,
            alg : typing.Text = ...,
            x5c : typing.Optional[typing.Iterable[typing.Text]] = ...,
            ) -> None: ...
        def ClearField(self, field_name: typing_extensions.Literal["alg",b"alg","x5c",b"x5c"]) -> None: ...

    PROTECTED_HEADER_FIELD_NUMBER: builtins.int
    PAYLOAD_FIELD_NUMBER: builtins.int
    SIGNATURE_FIELD_NUMBER: builtins.int
    protected_header: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(UTF8(JWS JOSE Header))
    Note: `json_name` refers to RFC 7515(Section 3.2), however the `protected`
    is a keywrod in C++, so the `protected_header` is used instead.
    """

    payload: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(JWS Payload)"""

    signature: typing.Text = ...
    """RFC4648 BASE64_URL_UNPADDED(JWS Signature)"""

    def __init__(self,
        *,
        protected_header : typing.Text = ...,
        payload : typing.Text = ...,
        signature : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["payload",b"payload","protected_header",b"protected_header","signature",b"signature"]) -> None: ...
global___Jws = Jws
