"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import builtins
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import typing
import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor = ...

class UnifiedAttestationAttributes(google.protobuf.message.Message):
    """/ UnifiedAttestationAttributes collect all attributes information
    / of trusted application from UnifiedAttestationReport format report.
    / All attributes are optional when used in UnifiedAttestationPolicy.
    / The TEE implement decides which attribute is used in the report and policy.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    STR_TEE_PLATFORM_FIELD_NUMBER: builtins.int
    HEX_PLATFORM_HW_VERSION_FIELD_NUMBER: builtins.int
    HEX_PLATFORM_SW_VERSION_FIELD_NUMBER: builtins.int
    HEX_SECURE_FLAGS_FIELD_NUMBER: builtins.int
    HEX_PLATFORM_MEASUREMENT_FIELD_NUMBER: builtins.int
    HEX_BOOT_MEASUREMENT_FIELD_NUMBER: builtins.int
    STR_TEE_NAME_FIELD_NUMBER: builtins.int
    STR_TEE_IDENTITY_FIELD_NUMBER: builtins.int
    HEX_TA_MEASUREMENT_FIELD_NUMBER: builtins.int
    HEX_TA_DYN_MEASUREMENT_FIELD_NUMBER: builtins.int
    HEX_SIGNER_FIELD_NUMBER: builtins.int
    HEX_PROD_ID_FIELD_NUMBER: builtins.int
    STR_MIN_ISVSVN_FIELD_NUMBER: builtins.int
    BOOL_DEBUG_DISABLED_FIELD_NUMBER: builtins.int
    HEX_USER_DATA_FIELD_NUMBER: builtins.int
    HEX_HASH_OR_PEM_PUBKEY_FIELD_NUMBER: builtins.int
    HEX_NONCE_FIELD_NUMBER: builtins.int
    HEX_SPID_FIELD_NUMBER: builtins.int
    STR_VERIFIED_TIME_FIELD_NUMBER: builtins.int
    str_tee_platform: typing.Text = ...
    """The TEE platform, in case some verifier needs to verify this."""

    hex_platform_hw_version: typing.Text = ...
    """The TEE platform hardware-related identity or version"""

    hex_platform_sw_version: typing.Text = ...
    """The TEE platform TCB software-related version"""

    hex_secure_flags: typing.Text = ...
    """The TEE platform security-related attributes or flags"""

    hex_platform_measurement: typing.Text = ...
    """The measurement of TEE implement internal stuff"""

    hex_boot_measurement: typing.Text = ...
    """The measurement of TEE instance boot time stuff"""

    str_tee_name: typing.Text = ...
    """The name of this tee instance"""

    str_tee_identity: typing.Text = ...
    """The TEE instance or trust application identity when generating the report"""

    hex_ta_measurement: typing.Text = ...
    """The static measurement of trust application when loading the code"""

    hex_ta_dyn_measurement: typing.Text = ...
    """The dynamical measurement of trust application code,
    for example, the real-time measurement of code in secure memory
    after the trust application is already run.
    """

    hex_signer: typing.Text = ...
    """The measurement or other identity of the trust application signer"""

    hex_prod_id: typing.Text = ...
    """The product ID of the TEE instance or trust application"""

    str_min_isvsvn: typing.Text = ...
    """The minimal ISV SVN of the TEE instance or trust application"""

    bool_debug_disabled: typing.Text = ...
    """The bool string "0" for debuggable, "1" for not debuggable"""

    hex_user_data: typing.Text = ...
    """The user data for generating the attestation report"""

    hex_hash_or_pem_pubkey: typing.Text = ...
    """hex string hash or original pem public key"""

    hex_nonce: typing.Text = ...
    """The independent freshness value besides what is in user data"""

    hex_spid: typing.Text = ...
    """The service provider id, e.g. use in sgx1, 64 bytes hex string"""

    str_verified_time: typing.Text = ...
    """The report verified time set by verifier if there is trust time"""

    def __init__(self,
        *,
        str_tee_platform : typing.Text = ...,
        hex_platform_hw_version : typing.Text = ...,
        hex_platform_sw_version : typing.Text = ...,
        hex_secure_flags : typing.Text = ...,
        hex_platform_measurement : typing.Text = ...,
        hex_boot_measurement : typing.Text = ...,
        str_tee_name : typing.Text = ...,
        str_tee_identity : typing.Text = ...,
        hex_ta_measurement : typing.Text = ...,
        hex_ta_dyn_measurement : typing.Text = ...,
        hex_signer : typing.Text = ...,
        hex_prod_id : typing.Text = ...,
        str_min_isvsvn : typing.Text = ...,
        bool_debug_disabled : typing.Text = ...,
        hex_user_data : typing.Text = ...,
        hex_hash_or_pem_pubkey : typing.Text = ...,
        hex_nonce : typing.Text = ...,
        hex_spid : typing.Text = ...,
        str_verified_time : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["bool_debug_disabled",b"bool_debug_disabled","hex_boot_measurement",b"hex_boot_measurement","hex_hash_or_pem_pubkey",b"hex_hash_or_pem_pubkey","hex_nonce",b"hex_nonce","hex_platform_hw_version",b"hex_platform_hw_version","hex_platform_measurement",b"hex_platform_measurement","hex_platform_sw_version",b"hex_platform_sw_version","hex_prod_id",b"hex_prod_id","hex_secure_flags",b"hex_secure_flags","hex_signer",b"hex_signer","hex_spid",b"hex_spid","hex_ta_dyn_measurement",b"hex_ta_dyn_measurement","hex_ta_measurement",b"hex_ta_measurement","hex_user_data",b"hex_user_data","str_min_isvsvn",b"str_min_isvsvn","str_tee_identity",b"str_tee_identity","str_tee_name",b"str_tee_name","str_tee_platform",b"str_tee_platform","str_verified_time",b"str_verified_time"]) -> None: ...
global___UnifiedAttestationAttributes = UnifiedAttestationAttributes

class UnifiedAttestationPolicy(google.protobuf.message.Message):
    """/ UnifiedAttestationPolicy is used when verifying the attestation report.
    / Both main or nested submodule attester support multi-version of instances.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    PEM_PUBLIC_KEY_FIELD_NUMBER: builtins.int
    MAIN_ATTRIBUTES_FIELD_NUMBER: builtins.int
    NESTED_POLICIES_FIELD_NUMBER: builtins.int
    pem_public_key: typing.Text = ...
    """Assume one public key is bound to one report, specify it here.
    We can also specify the public key or its hash in the main or submodule
    UnifiedAttestationAttributes. Public key verification will happen
    in both two places.
    NOTE: if there is a submodule attester, we must specify the public key
    here to verify the signature of the submodel attestation result.
    """

    @property
    def main_attributes(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___UnifiedAttestationAttributes]:
        """For the main attester"""
        pass
    @property
    def nested_policies(self) -> global___UnifiedAttestationNestedPolicies:
        """For submodule attesters"""
        pass
    def __init__(self,
        *,
        pem_public_key : typing.Text = ...,
        main_attributes : typing.Optional[typing.Iterable[global___UnifiedAttestationAttributes]] = ...,
        nested_policies : typing.Optional[global___UnifiedAttestationNestedPolicies] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["nested_policies",b"nested_policies"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["main_attributes",b"main_attributes","nested_policies",b"nested_policies","pem_public_key",b"pem_public_key"]) -> None: ...
global___UnifiedAttestationPolicy = UnifiedAttestationPolicy

class UnifiedAttestationNestedPolicies(google.protobuf.message.Message):
    """/ Match rules for nested reports verification"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    STR_GROUP_NAME_FIELD_NUMBER: builtins.int
    STR_GROUP_ID_FIELD_NUMBER: builtins.int
    POLICIES_FIELD_NUMBER: builtins.int
    str_group_name: typing.Text = ...
    """The group name and id are used for group attestation"""

    str_group_id: typing.Text = ...
    @property
    def policies(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___UnifiedAttestationNestedPolicy]: ...
    def __init__(self,
        *,
        str_group_name : typing.Text = ...,
        str_group_id : typing.Text = ...,
        policies : typing.Optional[typing.Iterable[global___UnifiedAttestationNestedPolicy]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["policies",b"policies","str_group_id",b"str_group_id","str_group_name",b"str_group_name"]) -> None: ...
global___UnifiedAttestationNestedPolicies = UnifiedAttestationNestedPolicies

class UnifiedAttestationNestedPolicy(google.protobuf.message.Message):
    """/ Match rules for nested report verification"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    SUB_ATTRIBUTES_FIELD_NUMBER: builtins.int
    @property
    def sub_attributes(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___UnifiedAttestationAttributes]: ...
    def __init__(self,
        *,
        sub_attributes : typing.Optional[typing.Iterable[global___UnifiedAttestationAttributes]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["sub_attributes",b"sub_attributes"]) -> None: ...
global___UnifiedAttestationNestedPolicy = UnifiedAttestationNestedPolicy

class UnifiedAttestationReportParams(google.protobuf.message.Message):
    """/ Special Parameters for different TEE platforms, keep consistent with kubetee
    / attestation.proto
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    STR_REPORT_IDENTITY_FIELD_NUMBER: builtins.int
    HEX_USER_DATA_FIELD_NUMBER: builtins.int
    JSON_NESTED_REPORTS_FIELD_NUMBER: builtins.int
    PEM_PUBLIC_KEY_FIELD_NUMBER: builtins.int
    HEX_SPID_FIELD_NUMBER: builtins.int
    str_report_identity: typing.Text = ...
    """The identity string for the report instance which is cached inside TEE.
    It's optional and usually used in Asynchronous processes.
    """

    hex_user_data: typing.Text = ...
    """The user data in some TEE platforms, Max to 64 Bytes of HEX string.
    Users need to convert binary value data to HEX string themselves.
    """

    json_nested_reports: typing.Text = ...
    """The JSON serialized string of UnifiedAttestationNestedReports"""

    pem_public_key: typing.Text = ...
    """User specified public key instead of UAK to be put into report_data"""

    hex_spid: typing.Text = ...
    """Service Provider ID for SGX1 only"""

    def __init__(self,
        *,
        str_report_identity : typing.Text = ...,
        hex_user_data : typing.Text = ...,
        json_nested_reports : typing.Text = ...,
        pem_public_key : typing.Text = ...,
        hex_spid : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["hex_spid",b"hex_spid","hex_user_data",b"hex_user_data","json_nested_reports",b"json_nested_reports","pem_public_key",b"pem_public_key","str_report_identity",b"str_report_identity"]) -> None: ...
global___UnifiedAttestationReportParams = UnifiedAttestationReportParams

class UnifiedAttestationGenerationParams(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    TEE_IDENTITY_FIELD_NUMBER: builtins.int
    REPORT_TYPE_FIELD_NUMBER: builtins.int
    REPORT_HEX_NONCE_FIELD_NUMBER: builtins.int
    REPORT_PARAMS_FIELD_NUMBER: builtins.int
    tee_identity: typing.Text = ...
    """For which TEE instance to generate the unified attestation report"""

    report_type: typing.Text = ...
    """which type of unified attestation report to be generated"""

    report_hex_nonce: typing.Text = ...
    """Provide freshness if necessary."""

    @property
    def report_params(self) -> global___UnifiedAttestationReportParams: ...
    def __init__(self,
        *,
        tee_identity : typing.Text = ...,
        report_type : typing.Text = ...,
        report_hex_nonce : typing.Text = ...,
        report_params : typing.Optional[global___UnifiedAttestationReportParams] = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["report_params",b"report_params"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["report_hex_nonce",b"report_hex_nonce","report_params",b"report_params","report_type",b"report_type","tee_identity",b"tee_identity"]) -> None: ...
global___UnifiedAttestationGenerationParams = UnifiedAttestationGenerationParams

class UnifiedAttestationReport(google.protobuf.message.Message):
    """/ Unified Attestation Report, keep consistent with kubetee attestation.proto"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    STR_REPORT_VERSION_FIELD_NUMBER: builtins.int
    STR_REPORT_TYPE_FIELD_NUMBER: builtins.int
    STR_TEE_PLATFORM_FIELD_NUMBER: builtins.int
    JSON_REPORT_FIELD_NUMBER: builtins.int
    JSON_NESTED_REPORTS_FIELD_NUMBER: builtins.int
    str_report_version: typing.Text = ...
    """For compatibility and update later, the current version is "1.0" """

    str_report_type: typing.Text = ...
    """Valid type string: "BackgroundCheck"|"Passport"|"Uas" """

    str_tee_platform: typing.Text = ...
    """The TEE platform name"""

    json_report: typing.Text = ...
    """Different JSON serialized string for each TEE platform
    The TEE platforms are in charge of parsing it in their own way.
    """

    json_nested_reports: typing.Text = ...
    """The JSON serialized string of UnifiedAttestationNestedReports"""

    def __init__(self,
        *,
        str_report_version : typing.Text = ...,
        str_report_type : typing.Text = ...,
        str_tee_platform : typing.Text = ...,
        json_report : typing.Text = ...,
        json_nested_reports : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["json_nested_reports",b"json_nested_reports","json_report",b"json_report","str_report_type",b"str_report_type","str_report_version",b"str_report_version","str_tee_platform",b"str_tee_platform"]) -> None: ...
global___UnifiedAttestationReport = UnifiedAttestationReport

class UnifiedAttestationAuthReport(google.protobuf.message.Message):
    """/ Unified attestation report with public key authentication"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    REPORT_FIELD_NUMBER: builtins.int
    PEM_PUBLIC_KEY_FIELD_NUMBER: builtins.int
    @property
    def report(self) -> global___UnifiedAttestationReport: ...
    pem_public_key: typing.Text = ...
    def __init__(self,
        *,
        report : typing.Optional[global___UnifiedAttestationReport] = ...,
        pem_public_key : typing.Text = ...,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["report",b"report"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["pem_public_key",b"pem_public_key","report",b"report"]) -> None: ...
global___UnifiedAttestationAuthReport = UnifiedAttestationAuthReport

class DcapReport(google.protobuf.message.Message):
    """/ UnifiedAttestationReport::json_report for SGX2 DCAP
    / Store the quote and PCCS verification collateral for SGX2 DCAP attestation
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    B64_QUOTE_FIELD_NUMBER: builtins.int
    JSON_COLLATERAL_FIELD_NUMBER: builtins.int
    b64_quote: typing.Text = ...
    """For BackgroundCheck type report: Only quote in the report"""

    json_collateral: typing.Text = ...
    """For Passport type report: Quote and collateral in report
    The serialized JSON string of the SgxQlQveCollateral
    """

    def __init__(self,
        *,
        b64_quote : typing.Text = ...,
        json_collateral : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["b64_quote",b"b64_quote","json_collateral",b"json_collateral"]) -> None: ...
global___DcapReport = DcapReport

class SgxQlQveCollateral(google.protobuf.message.Message):
    """/ SGX DCAP quote verification collateral
    / Get this after generating the quote and adding it to the report
    / In this way, the challenger will don't need to connect PCCS anymore.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    VERSION_FIELD_NUMBER: builtins.int
    PCK_CRL_ISSUER_CHAIN_FIELD_NUMBER: builtins.int
    ROOT_CA_CRL_FIELD_NUMBER: builtins.int
    PCK_CRL_FIELD_NUMBER: builtins.int
    TCB_INFO_ISSUER_CHAIN_FIELD_NUMBER: builtins.int
    TCB_INFO_FIELD_NUMBER: builtins.int
    QE_IDENTITY_ISSUER_CHAIN_FIELD_NUMBER: builtins.int
    QE_IDENTITY_FIELD_NUMBER: builtins.int
    TEE_TYPE_FIELD_NUMBER: builtins.int
    version: builtins.int = ...
    """uint32_t, version = 1. PCK Cert chain is in the Quote."""

    pck_crl_issuer_chain: typing.Text = ...
    root_ca_crl: typing.Text = ...
    pck_crl: typing.Text = ...
    tcb_info_issuer_chain: typing.Text = ...
    tcb_info: typing.Text = ...
    qe_identity_issuer_chain: typing.Text = ...
    qe_identity: typing.Text = ...
    tee_type: builtins.int = ...
    """<  0x00000000: SGX or 0x00000081: TDX"""

    def __init__(self,
        *,
        version : builtins.int = ...,
        pck_crl_issuer_chain : typing.Text = ...,
        root_ca_crl : typing.Text = ...,
        pck_crl : typing.Text = ...,
        tcb_info_issuer_chain : typing.Text = ...,
        tcb_info : typing.Text = ...,
        qe_identity_issuer_chain : typing.Text = ...,
        qe_identity : typing.Text = ...,
        tee_type : builtins.int = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["pck_crl",b"pck_crl","pck_crl_issuer_chain",b"pck_crl_issuer_chain","qe_identity",b"qe_identity","qe_identity_issuer_chain",b"qe_identity_issuer_chain","root_ca_crl",b"root_ca_crl","tcb_info",b"tcb_info","tcb_info_issuer_chain",b"tcb_info_issuer_chain","tee_type",b"tee_type","version",b"version"]) -> None: ...
global___SgxQlQveCollateral = SgxQlQveCollateral

class HyperEnclaveReport(google.protobuf.message.Message):
    """/ UnifiedAttestationReport::json_report for HyperEnclave
    / Only a quote is required for HyperEnclave attestation
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    B64_QUOTE_FIELD_NUMBER: builtins.int
    b64_quote: typing.Text = ...
    def __init__(self,
        *,
        b64_quote : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["b64_quote",b"b64_quote"]) -> None: ...
global___HyperEnclaveReport = HyperEnclaveReport

class KunpengReport(google.protobuf.message.Message):
    """/ UnifiedAttestationReport::json_report for Huawei Kunpeng"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    B64_QUOTE_FIELD_NUMBER: builtins.int
    INT64_VERSION_FIELD_NUMBER: builtins.int
    b64_quote: typing.Text = ...
    int64_version: builtins.int = ...
    def __init__(self,
        *,
        b64_quote : typing.Text = ...,
        int64_version : builtins.int = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["b64_quote",b"b64_quote","int64_version",b"int64_version"]) -> None: ...
global___KunpengReport = KunpengReport

class HygonCsvReport(google.protobuf.message.Message):
    """/ UnifiedAttestationReport::json_report for Hygon CSV"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    B64_QUOTE_FIELD_NUMBER: builtins.int
    JSON_CERT_CHAIN_FIELD_NUMBER: builtins.int
    STR_CHIP_ID_FIELD_NUMBER: builtins.int
    b64_quote: typing.Text = ...
    """For BackgroundCheck type report: Only quote in the report"""

    json_cert_chain: typing.Text = ...
    """For Passport type report: Quote and collateral in report
    The serialized JSON string of the HygonCsvCertChain
    """

    str_chip_id: typing.Text = ...
    """Save chip id to avoid to parse it from b64_quote when verify report"""

    def __init__(self,
        *,
        b64_quote : typing.Text = ...,
        json_cert_chain : typing.Text = ...,
        str_chip_id : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["b64_quote",b"b64_quote","json_cert_chain",b"json_cert_chain","str_chip_id",b"str_chip_id"]) -> None: ...
global___HygonCsvReport = HygonCsvReport

class IntelTdxReport(google.protobuf.message.Message):
    """/ UnifiedAttestationReport::json_report for Intel TDX"""
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    B64_QUOTE_FIELD_NUMBER: builtins.int
    JSON_COLLATERAL_FIELD_NUMBER: builtins.int
    b64_quote: typing.Text = ...
    json_collateral: typing.Text = ...
    """For Passport type report: Quote and collateral in report
    The serialized JSON string of the SgxQlQveCollateral
    """

    def __init__(self,
        *,
        b64_quote : typing.Text = ...,
        json_collateral : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["b64_quote",b"b64_quote","json_collateral",b"json_collateral"]) -> None: ...
global___IntelTdxReport = IntelTdxReport

class HygonCsvCertChain(google.protobuf.message.Message):
    """/ Hygon CSV report verification collateral about certificates
    / Get this after generating the quote and adding it to the report
    / In this way, the challenger will don't need to connect PCCS anymore.
    """
    DESCRIPTOR: google.protobuf.descriptor.Descriptor = ...
    B64_HSK_CERT_FIELD_NUMBER: builtins.int
    B64_CEK_CERT_FIELD_NUMBER: builtins.int
    b64_hsk_cert: typing.Text = ...
    """The Base64 string of hygon_root_cert_t"""

    b64_cek_cert: typing.Text = ...
    """The Base64 string of csv_cert_t"""

    def __init__(self,
        *,
        b64_hsk_cert : typing.Text = ...,
        b64_cek_cert : typing.Text = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["b64_cek_cert",b"b64_cek_cert","b64_hsk_cert",b"b64_hsk_cert"]) -> None: ...
global___HygonCsvCertChain = HygonCsvCertChain
